#include<iostream>
#include<algorithm>
using namespace std;
int main () {
	ios_base::sync_with_stdio(false);
	string T, S;
	cin>>T>>S;
	char x;
	int m, a=m, z;
	for (int i=0; i<S.size(); i++) {
		m=count(T.begin(), T.end(), S[i]);
		if (m<a) {
			z=m; x=S[i];
		}
		a=m;
	}
	
	cout<<z<<"\n";
	for (int i=0; i<T.size(); i++) {
		if (T[i]==x) T[i]='*';
	}
	cout<<T;
 
return 0;
}